const system = require("../../../system");
const Dao = require("../../dao.base");

class LoadDao extends Dao {
    constructor() {
        super(Dao.getModelName(LoadDao));
    }

    async statCount(companyNames) {
        var result = {};
        if(!companyNames || companyNames.length == 0) {
            return result;
        }
        var sql = "SELECT company_name, COUNT(1) AS num FROM `load_info` WHERE company_name IN (:companyNames) GROUP BY company_name";

        let list = await this.customQuery(sql, {companyNames: companyNames});

        if(list || list.length == 0) {
            return result;
        }

        for (var item of list) {
            result[item.company_name] = item.num || 0;
        }
        return result;
    }

    async sCount(inno) {
        var result = {};
        if(!inno || inno.length == 0) {
            return result;
        }
        var sql = "SELECT id_no, COUNT(1) AS num FROM `load_info` WHERE id_no IN (:inno) GROUP BY id_no";

        let list = await this.customQuery(sql, {inno: inno});

        if(list || list.length == 0) {
            return result;
        }

        for (var item of list) {
            result[item.id_no] = item.num || 0;
        }
        return result;
    }
}

module.exports = LoadDao;